# smsbb 👼

✨ DIY sms announce lists for you and yours ✨

## norms for working on this repo

- work in a branch
- branch names should use the format `username/thing-you-are-doing`
  - for example `git checkout -b maren/update-readme-3`
- don't worry about tidy commits! just keep your work in a branch
- open a PR and review with someone synchronously before merging to main

## getting started real fast

1. Make sure you have Rust (+ cargo) installed. The preferred way to do this
   is with [rustup](https://rustup.rs).

2. Set up [an AWS Account](https://aws.amazon.com). Following the getting
   started guide for the [AWS SDK For Rust](https://aws.amazon.com/sdk-for-rust/)
   is a good way to get set up. We can confirm that this all works correctly
   using Workforce Identity, i.e. establishing a profile in `~/.aws/config`,
   setting the `AWS_PROFILE` environment variable appropriately, and using
   `aws sso login` to get an access token.

3. With your preferred authentication mechanism set up (see above for
   settings for Workforce Identity), run

   ```
   cargo run
   ```

As of right this second, all the code does is set up DynamoDB tables.
The immediate future work here is:

1. Write code to provision AWS Pinpoint for each of smsbb's text campaigns
2. Figure out how to embed another Rust binary inside the main Rust binary
3. Use the embedded Rust binaries to deploy Lambda functions
